Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 24294 - Anaconda Fails and Fails and Fails and Fails
Anaconda Fails and Fails and Fails and Fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-18 11:51 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-19 12:07:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-18 11:51:03 EST
RE-Download  DOES NOT fix this!
ERRATA (RHBA-2000:084)DOES NOT FIX this!
I've been waiting a month to install this son of a bitch and you guys 
can't figure out how to fix a goddamn python script.  DO NOT CLOSE THIS 
BUG AGAIN.  The crap you are telling everyone to fix this is a LIE.  It is 
broken on your end.  Is this bugzilla just a front so that you don't have 
to actually deal with people who find bugs?  Do you not care that people 
can't perform a simple install of your product? Is it possible your stock 
value may depend on just this kind of run-around?

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, 
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: indexhtml

Local variables in innermost frame:
self: <comps.HeaderList instance at 8234710>
item: indexhtml

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10

<failed>
Comment 1 Michael Fulbright 2001-01-19 12:07:44 EST
There is no fix for this bug. If there is a URL which says this please let me
know so we can correct it.

This problem occurs when the files on the hard drive are corrupt or missing.
Usually this happens when the files were copied from a ftp/http server which had
a bad copy of the distribution.

How did you setup your hard drive image?
Comment 2 Michael Fulbright 2001-02-23 12:28:50 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.